crash loading shape files

2006-08-13 02:08 AM - andrea-bionda-gmail-com -

Status: Closed

Priority: Low

Assignee: Tim Sutton

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: Mandriva Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 10294

Description

Everytime I try to load a shapefile (created with [[ArcView]] 3.1) the QGis crashes. Actually the first time I launched QGis, after the

installation, it allowed me to load two .shp files and then crashed only when I tried to zoom in. Now the crash happens as soon as I click ok

in the file selection windows.

History

#1 - 2006-08-13 02:26 AM - Brendan Morley -

Is this shapefile something you can make available to the QGIS developers?

Which version of QGIS are you using?

#2 - 2006-08-13 02:38 AM - andrea -

Yes, I can. I attached one as example (it happens with all my shapes). The version is 0.6.0, the one avaliable for Mandriva. Thank you.

#3 - 2006-08-16 07:04 AM - Tim Sutton

I tried your example shapefile with QGIS 0.8 SVN trunk as of 16 August 2006, Ubuntu linux, gdal 1.2.6. The file opened without problems. Did you say you

are using QGIS version 0.6? That version is very old! We will need to find someone to make packages for Mandriva of the latest stable release (if they

dont already exist) and test with that.

Im going to tag this bug as 'works for me' since I cant reproduce it and your version of QGIS does not seem to be the latest stable release. It would be

worth writing to the user list to see if anyone has made more recent packages of QGIS for Mandriva.

#4 - 2006-08-16 07:04 AM - Tim Sutton

- Resolution set to worksforme

- Status changed from Open to Closed

Files

example_shape.zip 25.5 KB 2006-08-13 anonymous -
